summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-05-28 19:36:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-31 10:36:18 +0700
commitbde21007fba80e04c250391056248ff37cf8afd0 (patch)
tree7c631f960a3443455fe70167ea8a47362fdcf56f
parent6e212a2445deee3caf69add8c068b0e3b0840636 (diff)
downloadslackbuilds-bde21007fba80e04c250391056248ff37cf8afd0.tar.gz
slackbuilds-bde21007fba80e04c250391056248ff37cf8afd0.tar.xz
audio/decibel-audio-player: Added (GTK+ audio player for GNU/Linux).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/decibel-audio-player/README15
-rw-r--r--audio/decibel-audio-player/covers-pil.patch100
-rw-r--r--audio/decibel-audio-player/decibel-audio-player.SlackBuild96
-rw-r--r--audio/decibel-audio-player/decibel-audio-player.info10
-rw-r--r--audio/decibel-audio-player/doinst.sh7
-rw-r--r--audio/decibel-audio-player/slack-desc19
6 files changed, 247 insertions, 0 deletions
diff --git a/audio/decibel-audio-player/README b/audio/decibel-audio-player/README
new file mode 100644
index 0000000000..2d9089bb7e
--- /dev/null
+++ b/audio/decibel-audio-player/README
@@ -0,0 +1,15 @@
+decibel-audio-player (GTK+ audio player for GNU/Linux)
+
+Decibel Audio Player is a GTK+ open-source (GPL) audio player for GNU/Linux.
+It is very straightforward to use thanks to a clean and user-friendly interface.
+It is especially targeted at Gnome and follows the Gnome HIG.
+
+Decibel Audio Player is built around a highly modular structure that lets the user
+disable completely the features he does not need.
+A disabled feature uses absolutely no memory and no processor time.
+
+Decibel Audio Player is a real audio player and does not include features that are
+not meant to be part of an audio player.
+These features, such as tagging files or burning CDs, generally have a better support
+in dedicated software. If you are looking for an audio player than can make coffee,
+then you should stay away from Decibel and give a try to other players (e.g., Amarok, Exaile).
diff --git a/audio/decibel-audio-player/covers-pil.patch b/audio/decibel-audio-player/covers-pil.patch
new file mode 100644
index 0000000000..baf22357ff
--- /dev/null
+++ b/audio/decibel-audio-player/covers-pil.patch
@@ -0,0 +1,100 @@
+diff -crB src/decibel-audio-player-1.08/src/modules/Covers.py src_patched/decibel-audio-player-1.08/src/modules/Covers.py
+*** src/decibel-audio-player-1.08/src/modules/Covers.py 2011-09-19 12:09:25.000000000 +0200
+--- src_patched/decibel-audio-player-1.08/src/modules/Covers.py 2014-10-19 05:43:49.575245931 +0200
+***************
+*** 124,140 ****
+
+ def generateFullSizeCover(self, inFile, outFile, format):
+ """ Resize inFile if needed, and write it to outFile (outFile and inFile may be equal) """
+! import Image
+
+ try:
+ # Open the image
+! cover = Image.open(inFile)
+
+ # Fit the image into FULLSIZE_WIDTH x FULLSIZE_HEIGHT
+ (newWidth, newHeight) = self.__resizeWithRatio(cover.size[PIL_WIDTH], cover.size[PIL_HEIGHT], FULLSIZE_WIDTH, FULLSIZE_HEIGHT)
+
+ # Resize it
+! cover = cover.resize((newWidth, newHeight), Image.ANTIALIAS)
+
+ # We're done
+ cover.save(outFile, format)
+--- 124,140 ----
+
+ def generateFullSizeCover(self, inFile, outFile, format):
+ """ Resize inFile if needed, and write it to outFile (outFile and inFile may be equal) """
+! import PIL.Image
+
+ try:
+ # Open the image
+! cover = PIL.Image.open(inFile)
+
+ # Fit the image into FULLSIZE_WIDTH x FULLSIZE_HEIGHT
+ (newWidth, newHeight) = self.__resizeWithRatio(cover.size[PIL_WIDTH], cover.size[PIL_HEIGHT], FULLSIZE_WIDTH, FULLSIZE_HEIGHT)
+
+ # Resize it
+! cover = cover.resize((newWidth, newHeight), PIL.Image.ANTIALIAS)
+
+ # We're done
+ cover.save(outFile, format)
+***************
+*** 144,154 ****
+
+ def generateThumbnail(self, inFile, outFile, format):
+ """ Generate a thumbnail from inFile (e.g., resize it) and write it to outFile (outFile and inFile may be equal) """
+! import Image
+
+ try:
+ # Open the image
+! cover = Image.open(inFile).convert('RGBA')
+
+ # Fit the image into THUMBNAIL_WIDTH x THUMBNAIL_HEIGHT
+ (newWidth, newHeight) = self.__resizeWithRatio(cover.size[PIL_WIDTH], cover.size[PIL_HEIGHT], THUMBNAIL_WIDTH, THUMBNAIL_HEIGHT)
+--- 144,154 ----
+
+ def generateThumbnail(self, inFile, outFile, format):
+ """ Generate a thumbnail from inFile (e.g., resize it) and write it to outFile (outFile and inFile may be equal) """
+! import PIL.Image
+
+ try:
+ # Open the image
+! cover = PIL.Image.open(inFile).convert('RGBA')
+
+ # Fit the image into THUMBNAIL_WIDTH x THUMBNAIL_HEIGHT
+ (newWidth, newHeight) = self.__resizeWithRatio(cover.size[PIL_WIDTH], cover.size[PIL_HEIGHT], THUMBNAIL_WIDTH, THUMBNAIL_HEIGHT)
+***************
+*** 161,176 ****
+ else: offsetY = 0
+
+ # Resize the image
+! cover = cover.resize((newWidth, newHeight), Image.ANTIALIAS)
+
+ # Paste the resized cover into our model
+! model = Image.open(THUMBNAIL_MODEL).convert('RGBA')
+ model.paste(cover, (THUMBNAIL_OFFSETX + offsetX, THUMBNAIL_OFFSETY + offsetY), cover)
+ cover = model
+
+ # Don't apply the gloss effect if asked to
+ if not prefs.getCmdLine()[0].no_glossy_cover:
+! gloss = Image.open(THUMBNAIL_GLOSS).convert('RGBA')
+ cover.paste(gloss, (0, 0), gloss)
+
+ # We're done
+--- 161,176 ----
+ else: offsetY = 0
+
+ # Resize the image
+! cover = cover.resize((newWidth, newHeight), PIL.Image.ANTIALIAS)
+
+ # Paste the resized cover into our model
+! model = PIL.Image.open(THUMBNAIL_MODEL).convert('RGBA')
+ model.paste(cover, (THUMBNAIL_OFFSETX + offsetX, THUMBNAIL_OFFSETY + offsetY), cover)
+ cover = model
+
+ # Don't apply the gloss effect if asked to
+ if not prefs.getCmdLine()[0].no_glossy_cover:
+! gloss = PIL.Image.open(THUMBNAIL_GLOSS).convert('RGBA')
+ cover.paste(gloss, (0, 0), gloss)
+
+ # We're done \ No newline at end of file
diff --git a/audio/decibel-audio-player/decibel-audio-player.SlackBuild b/audio/decibel-audio-player/decibel-audio-player.SlackBuild
new file mode 100644
index 0000000000..22ae5e918d
--- /dev/null
+++ b/audio/decibel-audio-player/decibel-audio-player.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for decibel-audio-player.
+
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=decibel-audio-player
+VERSION=${VERSION:-1.08}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p2 < $CWD/covers-pil.patch
+sed -i 's/prefix/\/usr/g' start.sh
+sed -i 's/prefix/\/usr/g' start-remote.sh
+
+make prefix=/usr DESTDIR=$PKG install
+mv $PKG/usr/share/man $PKG/usr/man
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+DOCS="doc/ChangeLog doc/LICENCE"
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/decibel-audio-player/decibel-audio-player.info b/audio/decibel-audio-player/decibel-audio-player.info
new file mode 100644
index 0000000000..b4540a6993
--- /dev/null
+++ b/audio/decibel-audio-player/decibel-audio-player.info
@@ -0,0 +1,10 @@
+PRGNAM="decibel-audio-player"
+VERSION="1.08"
+HOMEPAGE="http://decibel.silent-blade.org/"
+DOWNLOAD="http://decibel.silent-blade.org/uploads/Main/decibel-audio-player-1.08.tar.gz"
+MD5SUM="e8ebaf819c198ff9951903e7c4056aef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gst-plugins-ugly gst-python mutagen cddb-py cd-discid"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/audio/decibel-audio-player/doinst.sh b/audio/decibel-audio-player/doinst.sh
new file mode 100644
index 0000000000..9a8ded3c60
--- /dev/null
+++ b/audio/decibel-audio-player/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/audio/decibel-audio-player/slack-desc b/audio/decibel-audio-player/slack-desc
new file mode 100644
index 0000000000..b2bbfe90b2
--- /dev/null
+++ b/audio/decibel-audio-player/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+decibel-audio-player: decibel-audio-player (GTK+ audio player for GNU/Linux)
+decibel-audio-player:
+decibel-audio-player: Decibel Audio Player is a GTK+ open-source (GPL) audio player for
+decibel-audio-player: GNU/Linux. It is very straightforward to use thanks to a clean and
+decibel-audio-player: user-friendly interface.
+decibel-audio-player:
+decibel-audio-player: Home page: http://decibel.silent-blade.org/
+decibel-audio-player:
+decibel-audio-player:
+decibel-audio-player:
+decibel-audio-player: